[Angstrom-devel] Koen Kooi : base-files 3.0.14: make /var/run a directory, not a symlink
Angstrom Git Repos
ang-git at xora.vm.bytemark.co.uk
Sun Oct 2 23:39:29 CEST 2011
Module: meta-angstrom
Branch: master
Commit: 018290161de5c0e99df7c972d1f749c3c52dd73e
Author: Koen Kooi <koen at dominion.thruhere.net>
Date: Sun Oct 2 23:37:31 2011 +0200
base-files 3.0.14: make /var/run a directory, not a symlink
The recipe and resulting package have it as a dir, but something in do_rootfs is missing it up, so install a postinst to work around that.
Signed-off-by: Koen Kooi <koen at dominion.thruhere.net>
---
recipes-core/base-files/base-files_3.0.14.bbappend | 16 +++++++++++++++-
1 files changed, 15 insertions(+), 1 deletions(-)
diff --git a/recipes-core/base-files/base-files_3.0.14.bbappend b/recipes-core/base-files/base-files_3.0.14.bbappend
index f3b823b..1091922 100644
--- a/recipes-core/base-files/base-files_3.0.14.bbappend
+++ b/recipes-core/base-files/base-files_3.0.14.bbappend
@@ -1,6 +1,6 @@
FILESEXTRAPATHS := "${THISDIR}/${PN}"
-PRINC = "8"
+PRINC = "9"
# Original: volatiles = "cache run log lock tmp"
# We don't any of those in volatiles, so:
@@ -31,3 +31,17 @@ do_install_angstromissue () {
echo >> ${D}${sysconfdir}/issue
fi
}
+
+# Something during do_rootfs makes /var/run a symlink, we do not want that, so we remove it on 1st boot again
+pkg_postinst_${PN} () {
+#!/bin/sh
+if [ "x$D" != "x" ]; then
+ exit 1
+fi
+
+if [ -L ${localstatedir}/run ] ; then
+ echo "fixing ${localstatedir}/run"
+ rm ${localstatedir}/run
+ mkdir ${localstatedir}/run
+fi
+}
More information about the Angstrom-distro-devel
mailing list